| Home | Libraries | People | FAQ | More

## Function operator&&

boost::logic::operator&& — Computes the logical conjuction of two tribools.

## Synopsis

    tribool operator&&(tribool x, tribool y);
    tribool operator&&(tribool x, bool y);
    tribool operator&&(bool x, tribool y);
    tribool operator&&(indeterminate_keyword_t, tribool x);
    tribool operator&&(tribool x, indeterminate_keyword_t);

## Description

Returns: | the result of logically ANDing the two tribool values, according to the following table:
`&&` | false | true | indeterminate
false | false | false | false
true | false | true | indeterminate
indeterminate | false | indeterminate | indeterminate
Throws: | Will not throw.